E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::ProtocolImpBase Class Referenceabstract

A base interface for GSsl::Protocol pimple classes. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::ProtocolImpBase:

## Public Member Functions
virtual | ~ProtocolImpBase ()
| Destructor.
virtual Protocol::Result | connect (G::ReadWrite &)=0
| Implements Protocol::connect().
virtual Protocol::Result | accept (G::ReadWrite &)=0
| Implements Protocol::accept().
virtual Protocol::Result | stop ()=0
| Implements Protocol::stop().
virtual Protocol::Result | read (char *, size_t, ssize_t &)=0
| Implements Protocol::read().
virtual Protocol::Result | write (const char *, size_t, ssize_t &)=0
| Implements Protocol::write().
virtual std::string | peerCertificate () const =0
| Implements Protocol::peerCertificate().
virtual std::string | peerCertificateChain () const =0
| Implements Protocol::peerCertificateChain().
virtual bool | verified () const =0
| Implements Protocol::verified().

## Detailed Description

A base interface for GSsl::Protocol pimple classes.

Definition at line 405 of file gssl.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl.cpp